import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceGetManageUsersService = createAsyncThunk(
  "PROVINCE_GET_MANAGE_USERS_SERVICE",
  async (_, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("system_user_profile/", {
      params: { users_base_info: true },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
